#-*-tcl-*-
# E.S.O. - VLT project/ESO Archive
#
# "@(#) $Id: vmmps_menu.tcl,v 3.24 2004/12/18 04:03:45 vltsccm Exp $" 
# $Id: vmmps_menu.tcl,v 3.24 2004/12/18 04:03:45 vltsccm Exp $
#
# mps_panel.tcl - add MPS menu button to Skycat main menu.
#
# who         when       what
# --------   ---------   ----------------------------------------------
# D.Bottini 01 Apr 00   created
#
# $w is the name of the top level window.

proc vmmps_menu {w} {
    global adpcat mps_window slit_window slitcat_window
    set id "namespace inscope ::skycat::SkyCat .skycat1.image"
    set classname "::skycat::vmSkySearch"
    set debug 0
    set adpcat 0
    set mps_window ""
    set slit_window ""
    set slitcat_window ""

    # get the path name of the MPS menu 
    # (see TopLevelWidget in tclutil)
    
    #puts "DB JLBQ > VIMOS Mask Preparation Software Plugin"
    set m [$w add_menubutton "VIMOS-MPS" {VIMOS Mask Preparation Software Plugin}]

    $w add_menuitem $m command "Cross correlate Contributed and VIMOS Pre-image catalogs" \
	{Select a Fits file, Contributed and Pre-image catalogs} \
	-command [code cat::vmAstroCat::Handholder]

    $w add_menuitem $m command "Assign slits from a VIMOS catalog / produce ADP" \
	{Select a VIMOS catalog} \
	-command [ code call_slitcat cat $w]

    $w add_menuitem $m command "Verify ADP File" \
        {Select an ADP file} \
        -command [ code call_slitcat adp $w]

}

proc call_slitcat {type w} {
  global adpcat
  global slitcat_window
  global slit_window
  set id "namespace inscope ::skycat::SkyCat .skycat1.image"
  set classname "::skycat::vmSkySearch"
  set debug 0

  if {$type=="adp"} {
    set adpcat 1
    if {$slit_window != ""} {
	#puts "DB> Closing SLIT window $slit_window"
	$slit_window close
    }
    cat::vmAstroCat::local_catalog $id $classname $debug $w adp
  } else {
    set adpcat 0
    if {$slitcat_window != ""} {
	#puts "DB> Closing SLITCAT window $slitcat_window"
	$slitcat_window close
	set slitcat_window ""
    }
    info_dialog "Select the VIMOS catalog" .skycat1
    cat::vmAstroCat::local_catalog $id $classname $debug $w * "spoc"
  }
}
